Page MenuHomePhabricator

Deploy the Commons deletion notification bot on plwiki
Closed, ResolvedPublic2 Story Points

Description

This ticket is for deploying the Commons deletion bot to work on plwiki.

  • Step 1: Ensure all the translations are in place.
  • Step 2: Activate bot. Make 30 trial edits and stop the bot. The community requires this.
  • Step 3: Turn the bot on after community approval.

Notes:

  • Use without bot flag
  • Don't mark edits as minor

Event Timeline

Niharika triaged this task as Medium priority.Sep 17 2018, 1:10 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 1:10 PM
Wostr added a subscriber: Wostr.Sep 17 2018, 8:09 PM
MaxSem claimed this task.Sep 21 2018, 6:53 PM
MaxSem moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.
MaxSem added a subscriber: MaxSem.
tools.commtech-commons@tools-bastion-03:~/bot$ bin/python check-i18n.py
[ . . . ]
Language pl has all messages
[ . . . ]

Enabled, waiting for 30 edits.

Everything looks good for me.

One of our user asked for update of this GitHub page (he put a template in one of the translations on translatewiki.net to mark every notification for his bot, what probably will allow him to delete old notifications). Is it possible to do another several test edits after updating the GitHub page?

Translatewiki export messages on Monday and Thursday, however I'm removing their template there because the messages are supposed to be working on all Polish projects, not just Wikipedia, so using templates in bot messages in inappropriate.

Is it possible to change messages for a single project, just like MediaWiki messages, like MediaWiki:Commtech-commons-commtech-commons-discussion-body-start

In my opinion, creating the templates in several projects is not a problem. Besides, the bot currently is tested probably only on one polish project.

30 edits done, the bot is stopped.

Niharika closed this task as Resolved.Oct 1 2018, 5:55 PM
Niharika moved this task from QA to Q1 2018-19 on the Community-Tech-Sprint board.

The bot seems to be working as expected.